Ubuntu

168c:0032 Wifi connection unstable -- Atheros AR9485 ath9k

Reported by Guillaume Michaud on 2012-04-02
218
This bug affects 42 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
NetworkManager
Invalid
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Nominated for Raring by Timo Jyrinki

Bug Description

Using Ubuntu 12.04 beta 2, wifi connection is really unstable on my Asus UX31.
At the same place, with Windows 7, the connection is stable.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: network-manager 0.9.4.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
ApportVersion: 2.0-0ubuntu2
Architecture: amd64
Date: Mon Apr 2 20:58:59 2012
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
ProcEnviron:
 TERM=xterm
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-con: Error: command ['nmcli', '-f', 'all', 'con'] failed with exit code 1: Error: Can't obtain connections: settings service is not running.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu2
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gfmichaud 1727 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xdfe00000 irq 53'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:10ec0269,10431427,00100100 HDA:80862805,80860101,00100000'
   Controls : 18
   Simple ctrls : 8
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=384ec156-d35e-4d52-9404-4180b3520ddb
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
IpRoute:
 default via 192.168.0.254 dev eth1 proto static
 169.254.0.0/16 dev eth1 scope link metric 1000
 192.168.0.0/24 dev eth1 proto kernel scope link src 192.168.0.30 metric 2
MachineType: ASUSTeK Computer Inc. UX31E
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
Package: network-manager 0.9.4.0-0ubuntu2
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=3698f1d7-5c60-473c-b752-c98e427883f7 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.78
StagingDrivers: rts5139 mei
Tags: precise staging precise
Uname: Linux 3.2.0-23-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin netdev plugdev sambashare sudo
dmi.bios.date: 01/20/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX31E.211
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX31E
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX31E.211:bd01/20/2012:svnASUSTeKComputerInc.:pnUX31E:pvr1.0:rvnASUSTeKComputerInc.:rnUX31E:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: UX31E
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 AndroidGM 52f72e54-c826-4a4a-9619-3fef08de5496 802-11-wireless 1333888153 dim. 08 avril 2012 14:29:13 CEST yes no /org/freedesktop/NetworkManager/Settings/1
 CNGM_WEP 712368a2-4545-4f12-b2cc-f5ecc2394ef9 802-11-wireless 1334253900 jeu. 12 avril 2012 20:05:00 CEST yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth1 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled disabled

Guillaume Michaud (gfmichaud) wrote :
Guillaume Michaud (gfmichaud) wrote :

Ethernet connection via the provided USB adaptater is stable too, so this is a Wifi-specific issue.

The connection here is failing for two reason: group timeouts, and inactivity. This is what is blocking the association from properly completing, possibly because the driver isn't able to drive the card properly, or possibly due to low signal. I'll mark the network-manager task as Incomplete until there can be evidence that NM is really at fault.

There has been an error in the attached log about the acer_wmi driver which handles rfkill switches, perhaps this is related, so I'm also opening a linux task.

Changed in network-manager (Ubuntu):
status: New → Incomplete
Guillaume Michaud (gfmichaud) wrote :

Can I do something to help ?

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 971809

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium

apport information

tags: added: apport-collected staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

apport information

Changed in network-manager (Ubuntu):
status: Incomplete → Confirmed

I also have poor wifi performance in Linux, currently using 12.04 and I must manually reconnect to my AP every 15 minutes or so because the connection just stops working.

tuxkillbill (tuxkillbill-free) wrote :

Is it a network-manager problem or a ath9 driver problem ?

Could be either, any cues as to the proper way to diagnose this?

I've had trouble on many different kernels. I tried 3.3.0, 3.4-rc4 and the stock kernel of precise (I think 3.2.0.24? can't check atm).

tuxkillbill (tuxkillbill-free) wrote :

I'm trying with WICD for see differences.

Joseph Salisbury (jsalisbury) wrote :

This issue also appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Mathieu Laurent (mla) wrote :

I have the same problem.

"options ath9k nohwcrypt=1" improves my wifi connection

tuxkillbill (tuxkillbill-free) wrote :

Mathieu,
Could you explain how (or where...) can I use this option ? ("options ath9k nohwcrypt=1")
Is it a kernel parameter ?

tuxkillbill (tuxkillbill-free) wrote :

OK, I found how can I use it, but not effect. My wifi connection isn't better !

Thomas Hood (jdthood) on 2012-06-25
summary: - Wifi connection unstable (Asus UX31)
+ Wifi connection unstable (Asus UX31 -- Atheros Wi-Fi)
Thomas Hood (jdthood) on 2012-06-28
summary: - Wifi connection unstable (Asus UX31 -- Atheros Wi-Fi)
+ Wifi connection unstable -- Atheros AR9485 ath9k

I disabled hwcrypt by putting "options ath9k nohwcrypt=1" in /etc/modprobe.d/ath9k.conf

I'm not sure about transfer speeds, I don't transfer that much data with this computer, but I do care about stability in the wifi, which did not improve. The connection drops and re-associates in different intervals, with this in dmesg:

[ 7874.188947] cfg80211: All devices are disconnected, going to restore regulatory settings
[ 7874.188958] cfg80211: Restoring regulatory settings
[ 7874.188985] cfg80211: Calling CRDA to update world regulatory domain
[ 7874.196938] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 7874.200337] cfg80211: World regulatory domain updated:
[ 7874.200341] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 7874.200347] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 7874.200351] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 7874.200355] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 7874.200359] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 7874.200363] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 7875.285146] wlan0: authenticate with 58:6d:8f:4a:b6:72
[ 7875.293525] wlan0: send auth to 58:6d:8f:4a:b6:72 (try 1/3)
[ 7875.295524] wlan0: authenticated
[ 7875.304257] wlan0: associate with 58:6d:8f:4a:b6:72 (try 1/3)
[ 7875.308054] wlan0: RX AssocResp from 58:6d:8f:4a:b6:72 (capab=0x411 status=0 aid=4)
[ 7875.308065] wlan0: associated

Thomas Hood (jdthood) wrote :

Still incomplete for n-m, based on the reasoning in comment #3. Or has someone provided evidence that this is a problem in NM and not just in the driver?

Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
summary: - Wifi connection unstable -- Atheros AR9485 ath9k
+ 168c:0032 Wifi connection unstable -- Atheros AR9485 ath9k

I still get bad network performance under 12.10 Beta 1. It is much worse when there are multiple network sources with same SSID.

Guillaume Michaud (gfmichaud) wrote :

The problem is still here with "3.2.0-32-generic #51-Ubuntu SMP Wed Sep 26 21:33:09 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux".

Guillaume Michaud (gfmichaud) wrote :

As confirmed on http://ubuntuforums.org/showpost.php?p=12296138&postcount=1766 the problem is still there in kernel 3.6.

What can I do to help ?
I have now been waiting for 8 months, hoping 12.10 will solve this, but it has not. So I am willing to do what is required to help with solving this issue. My laptop is almost unusable without Wifi.

Marius B. Kotsbak (mariusko) wrote :

If y. don't want/can look into the driver code, I think the best would be to have some patience since the upstream bug report ia just registered. Or look into similar bug reports to see if there are duplicates.

A workaround is buying a USB wifi dongle...

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Timo Jyrinki (timo-jyrinki) wrote :

Unduplicating. This is related to bug #945379, but it's not specifically about this AR9485 problem, and the upstream bugzilla tracker also has two separate bugs for AR9485 and other Atheros devices.

Roy Meissner (roymeissn) wrote :

The problem still occurs on Kernel 3.8.5 from upstream

Chris (chrisjlee) wrote :

Problem exists for me as well on asus vivobook ca500.

The connection will drop and connection is interittent often. Using raring ringtail 13.04.

Guillaume Michaud (gfmichaud) wrote :

I invite you all to provide details to the upstream kernel bug :
http://bugzilla.kernel.org/show_bug.cgi?id=49201

Joseph Salisbury (jsalisbury) wrote :

The v3.10-rc2 kernel is now available. Can folks affected by this issue test that kernel to see if it exhibits the bug?
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc2-saucy/

tags: added: kernel-da-key
Guillaume Michaud (gfmichaud) wrote :

Testing it, I will provide my feedback in a few hours.

Guillaume Michaud (gfmichaud) wrote :

Same as always.
If I move away (~5m) from the hotspot, the connection works perfectly fine for a while ; then it suddenly & inexplicably drops down, and never comes back.

If I move again closer to the hotspot, /var/log shows what is written in CLOSER.txt.

If I move again farther, after a random amount of time I am disconnected and /var/log shows what is written in FARTHER.txt.

I insist on saying that until this sudden disconnection, the connection works perfectly fine (good bandwith & no lag).
This is a Linux-related problem since in the same location everything works perfectly fine with Windows 7.

Guillaume Michaud (gfmichaud) wrote :
Guillaume Michaud (gfmichaud) wrote :

the bug is still on kernel 3.10.0-031000rc2-generic

Helmut (helmut-lammel) wrote :

Ubuntu was not able to solve this Problem since one Year.
My Asus UX31 ist not to be used.
So i went back to Windows.
Sorry

Guillaume Michaud (gfmichaud) wrote :

Since last week I've tested a few things that do seem to improve connection quality and range :
- switching to WPA2 (TKIP) instead of WPA
- switching to a channel with a greater number (from 4 to 11)
- disabling ANI
- disabling power management

I've added in /etc/pm/power.d/wireless :
echo 1 > /sys/kernel/debug/ieee80211/phy0/ath9k/disable_ani
/sbin/iwconfig wlan0 power off

It helps a lot, yet it is not perfect.
I've submitted it all upstream.

> https://bugzilla.kernel.org/show_bug.cgi?id=49201

Changed in linux:
status: Confirmed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Upstream bug (https://bugzilla.kernel.org/show_bug.cgi?id=49201) was marked as Fix Released. I checked that the related fixes are in Ubuntu 13.10 (make sure you're running the latest 3.10 kernel). It should be useful to test it to find out whether things finally have improved. My initial take is that it seems to work better, but no wonders expected. But is it now as good as it gets with the hardware/antenna limitations?

It might be best to file a new bug to track newer upstream bug reports. Alternatively, this bug could be updated with another upstream bug report, but the current one is indeed set as fixed.

Guillaume Michaud (gfmichaud) wrote :

Are you sure the patches have been included in the latest 3.10 ? Because their state is still "new" on patchwork.kernel.org.
https://patchwork.kernel.org/patch/2696121/
https://patchwork.kernel.org/patch/2718041/

As far as I'm concerned, they have worked really well and improved dramatically wifi performance and range.

Timo Jyrinki (timo-jyrinki) wrote :

Ah, thanks Guillaume for correction! I was staring at the disabling of power management, enabling of minstrel algorithm etc but there was still more then. So staying tuned as well.

Timo Jyrinki (timo-jyrinki) wrote :

Yep, linux-next is a real, great improvement. I took the latest snapshot from https://www.kernel.org/pub/linux/kernel/projects/backports/2013/06/18/ + ran make defconfig-ath9k && make && sudo make install. Hopefully the patches will get in soon enough, so that I don't need to rerun the module building every time kernel updates.

Guillaume Michaud (gfmichaud) wrote :

Timo, do you mean there's an "official" (or semi-official) way to get a kernel which includes the update ?
If so, what is it ?
I use a kernel I've compiled myself for now, but now and then I've got issues with missing modules and so on.

Timo Jyrinki (timo-jyrinki) wrote :

Guillaume: Official/easy enough way to get the kernel modules on top of your existing (eg. Ubuntu provided) kernel. First, I noticed the patches talked about were already in the 'linux-next' at http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/log/drivers/net/wireless/ath/ath9k?id=HEAD - added around two weeks ago.

Secondly the Driver Backports (formerly compat-wireless) project has been providing development drivers from linux-next for users of older kernels, so it's possible to do just what I did: get the tarball, compile and install a specific driver and reboot. You keep on using the default Ubuntu kernel but get up-to-date drivers. If you update the kernel from eg. distro archives, you need to recompile the updated drivers.

See https://backports.wiki.kernel.org/index.php/Main_Page for more info, although I find it a bit non-structured compared to the old 'compat-wireless' site that used to reside under http://wireless.kernel.org/.

Guillaume Michaud (gfmichaud) wrote :

I've done it yesterday ; it works great. :-)

I don't know who can do it but it would be a great idea to update
https://help.ubuntu.com/community/AsusZenbook
and indicate this workaround.

Guillaume Michaud (gfmichaud) wrote :

The bug has been solved in the kernel ; it was not a network-manager bug.

affects: network-manager (Ubuntu) → ubuntu
Timo Jyrinki (timo-jyrinki) wrote :

Guillaume: added to the wiki page. Meanwhile, the patches have been merged to Torvalds' Linux tree, meaning 3.11 kernel will have the patches: http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/log/drivers/net/wireless/ath/ath9k?id=HEAD

Guillaume Michaud (gfmichaud) wrote :

Does not concern Network Manager after all

Changed in ubuntu:
status: Incomplete → Invalid
Changed in network-manager:
status: New → Invalid
Guillaume Michaud (gfmichaud) wrote :

Timo : great ! thanks ! :-)

no longer affects: ubuntu

Will the fix be backported to 13.04?

Timo Jyrinki (timo-jyrinki) wrote :

I think it would be useful to backport to 13.04, but one would need to know which patches exactly are needed. If someone knows, please share. The "Assign default xlna config" was now backported to upstream 3.10 series and is already in 13.10 as well, but I wonder if that patch alone (http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/drivers/net/wireless/ath/ath9k?id=e9c25a407d5c75646eb258de1363dccc1fd3ab47) would be enough to patch 13.04's 3.8 kernel with? Or would http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/net/wireless/ath/ath9k?id=9b60b64bfe98b9cc01b21e6126819b11a0f0a971 or maybe more be needed as well?

Guillaume Michaud (gfmichaud) wrote :

Those are the two (and only) patches needed :

[v2] ath9k: Add custom parameters for CUS198
https://patchwork.kernel.org/patch/2718041/

[1/3] ath9k_hw: Assign default xlna config for AR9485
https://patchwork.kernel.org/patch/2696121/

Timo Jyrinki (timo-jyrinki) wrote :

It seems the default xlna config is actually already scheduled for the next Raring kernel update! See bug #1204666.

As for the other one, it needed slight rebasing but I'm attaching the patch that applies with git am to git://kernel.ubuntu.com/ubuntu/ubuntu-raring.git here.

Timo Jyrinki (timo-jyrinki) wrote :
tags: added: patch
tags: removed: kernel-da-key
Timo Jyrinki (timo-jyrinki) wrote :

Another update, since I continue to be interested in this one even though it's fixed for me :)

Ubuntu 12.10 and 13.04 users received a kernel update last night that includes the other patch. That means also users of Ubuntu 12.04.2 and 12.04.3 LTS:s (to be released on Thursday), which use the kernel from 12.10/13.04 respectively, or people with original 12.04 installation who have opted in to use the quantal/raring stacks.

I think I briefly used a similar setup when 3.10 kernel was still in Ubuntu 13.10 and it also used to have only this "Assign default xlna config for AR9485". If I recall correctly it improved some things but the connection still broke up constantly in non-optimal reception?

So I believe the second patch, which I've provided a patch for, would be still required.

j (jaceclayton) wrote :

Hello -- I'm a complex Linux newbie & just installed Ubuntu 12.04.3 LTS on my Asus UX31 -- It's running the updated kernel (as far as I know) and the wi-fi connectivity is very flaky.

    I would like to try out the patch Timo provides but have no idea where to begin. Can someone direct me to some basic info on patching in Ubuntu, and what I would need to know to patch this particular file?

 thanks,

 j

Timo Jyrinki (timo-jyrinki) wrote :

j: Unfortunately I don't know where would be up-to-date and correct instructions for easily building own patched kernel, cleanly and as a .deb packge. https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel looks relatively simple compared to other pages, but not really sure if it's completely accurate.

For compiling the kernel on your own, the idea would be to apply the patch to the kernel with:

patch -p1 < v2-ath9k-Add-custom-parameters-for-CUS198.patch

inside the kernel sources directory. Then compile and install the kernel and test WLAN after rebooting into the new kernel.

If not wanting to test the patch alone and just wanting to have the problem fixed, I posted instructions on updating only the driver at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1160188/comments/58

Kevin Follstad (kfollstad) wrote :

I am still having problems after applying the backported patched driver.

I went from my wifi dropping out ~ every 20 minutes (reason 2) with a reboot being the only way to reestablish a connection to this:

Sep 22 14:23:09 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 14:28:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 14:30:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 14:32:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 14:40:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 14:48:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 14:56:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 14:58:37 K55A NetworkManager[1138]: <info> (wlan0): supplicant interface state: completed -> disconnected
Sep 22 14:58:37 K55A NetworkManager[1138]: <info> (wlan0): supplicant interface state: disconnected -> scanning
Sep 22 14:58:38 K55A NetworkManager[1138]: <info> (wlan0): supplicant interface state: scanning -> authenticating
Sep 22 14:58:38 K55A NetworkManager[1138]: <info> (wlan0): supplicant interface state: authenticating -> associating
Sep 22 14:58:38 K55A NetworkManager[1138]: <info> (wlan0): supplicant interface state: associating -> associated
Sep 22 14:58:38 K55A NetworkManager[1138]: <info> (wlan0): supplicant interface state: associated -> completed
Sep 22 15:00:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 15:04:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 15:06:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 15:08:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 15:14:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
Sep 22 15:18:06 K55A NetworkManager[1138]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted

I suppose it is an improvement in that the need to reboot is gone. But the end result is that every few minutes there will be a period where the connection cuts out completely or latency goes WAY UP as network manager tries to reestablish the connection.

Timo Jyrinki (timo-jyrinki) wrote :

I'm marking this as fixed as it's fixed in a released Ubuntu (13.10), and the remaining thing would be to port needed patches to older Ubuntus.

According to Kevin's test it may be that more patches would need to be backported than the one specified. I'd recommend 13.04 users to upgrade to 13.10. 13.04 only has 9 months of security support so that must be done in 2-3 months anyhow.

The Ubuntu 13.10 kernel will also be available to 12.04 LTS users by January (via opt-in or installing from 12.04.4 installation media). That can be followed at bug #1244356.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
tafazzi87 (tafazzi-87) wrote :

sorry but i see that with ubuntu 13.10 this bug is fixed, but i've still that. can i fix this in some way???

wim glenn (wim-glenn-w) wrote :

Agree this is NOT fixed on 13.10. I had the problem on my zenbook ux31 on 13.04, and resolved it with the advices mentioned in this thread. But after installing 13.10 a couple of days ago, the problem is back just as before :(

Linux wim-zenbook 3.11.0-12-generic #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Timo Jyrinki (timo-jyrinki) wrote :

Hmm. This bug is associated with the upstream bug https://bugzilla.kernel.org/show_bug.cgi?id=49201 which was fixed. I can also confirm than on my Zenbook UX31E starting from the 3.10 kernel and also with the 3.11 kernel in Ubuntu 13.10, WLAN is working well in many places where it was completely unusable before.

It's probable there are different kind of problems in different networks (like WPA2 Enterprise), but at least the one identified upstream which broke connections, gave poor connectivity for many was fixed.

I'd suggest filing a new bug for the issue you're seeing, since otherwise this bug would become quite confusing to handle with multiple different upstream bugs. If you check https://bugzilla.kernel.org/buglist.cgi?quicksearch=ar9485 , there is for example the bug 62381 to which the new Launchpad bug could be associated if it has a fitting description.

I think this bug should remain marked Fix Released unless Guillaume (the bug reporter) finds that the bug he tracked with upstream has really regressed in the 3.11 at some point.

It is anyway an interesting data point that you had the bug fixed by using the wireless tree snapshots, but somehow are seeing still a problem with 3.11 where all those fixes should be included.

Guillaume Michaud (gfmichaud) wrote :

As far as I'm concerned, everything works fine with 3.11 in Saucy.
I agree with Timo : I think it's another bug, that should be declared and investigated separately.

tafazzi87 (tafazzi-87) wrote :

yes i understand but i've same bug it's useless open a new bug, because it's not fixed for me and for another...if i have to open a new bug for my issue i've to copy and paste this

Well, I've just bought a new laptop with the same wifi chipset and it doesn't work properly. The connection isn't unstable, but it's even worse: the system only recognize the wifi interface after suspending the machine and waking up again. That's so weird but it's the only workaround I've found so far: http://ubuntuforums.org/showthread.php?t=2172434

This driver certainly needs to be worked out.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.